local g = vim.g
local o = vim.o
local wo = vim.wo

-- changing the leader key
g.mapleader = " "
g.localleader = " "

-- line numbers
o.number = true
o.relativenumber = true

-- enable mouse mode, can be useful for resizing splits for example or when you're feeling lazy
o.mouse = "a"

-- nice colors
o.termguicolors = true

-- random sets
o.numberwidth = 2
o.undofile = true
-- sync clipboard between OS and Neovim.
o.clipboard = "unnamedplus"
o.scrolloff = 8
o.updatetime = 100
o.colorcolumn = "100"
o.cursorline = true
wo.signcolumn = "yes"

-- search
o.hlsearch = true
o.incsearch = true
o.ignorecase = true

-- wrapping
-- disabled by default, should be enabled manually on a per case basis such as in markdown files
o.wrap = false
o.textwidth = 0
o.wrapmargin = 0
o.linebreak = true

-- splits
o.splitright = true
o.splitbelow = true

-- preview substitutions live, as you type!
o.inccommand = "split"

-- folding
o.foldmethod = "indent"
o.foldnestmax = 10
o.foldenable = true
o.foldlevel = 5
g.markdown_folding = 1

-- tab size
o.shiftwidth = 4
o.tabstop = 4

-- disable netrw
g.loaded_netrw = 1
g.loaded_netrwPlugin = 1

vim.diagnostic.config({
	update_in_insert = true,
	virtual_text = true,
})
