return {
	{
		"nvim-telescope/telescope.nvim",
		version = false,
		dependencies = { "nvim-lua/plenary.nvim" },
	},

	{
		"nvim-neo-tree/neo-tree.nvim",
		branch = "v3.x",
		dependencies = {
			"nvim-lua/plenary.nvim",
			"nvim-tree/nvim-web-devicons",
			"MunifTanjim/nui.nvim",
			"3rd/image.nvim",
		},
		lazy = false,
		init = function()
			-- opens neotree focused and filling the entire window if no argument is passed
			if vim.fn.argc() == 0 then
				require("neo-tree").setup()
				-- position=current is the key here to open neotree on the entire screen and
				-- its the same thing as using filesystem.hijack_netrw_behavior = "open_current"
				vim.cmd("Neotree focus position=current")
			end
		end,
		opts = {},
	},

	{
		"folke/trouble.nvim",
		dependencies = { "nvim-tree/nvim-web-devicons" },
		opts = {},
	},

	{
		"folke/which-key.nvim",
		event = "VeryLazy",
		opts = {},
		init = function()
			vim.o.timeout = true
			vim.o.timeoutlen = 500
		end,
	},
}
