return {
	{
		"nvim-treesitter/nvim-treesitter",
		build = ":TSUpdate",
		config = function()
			local configs = require("nvim-treesitter.configs")

			vim.filetype.add({
				extension = {
					fsh = "glsl",
					vsh = "glsl",

					hbs = "html",
				},
			})

			vim.treesitter.language.register("html", "handlebars")
			vim.treesitter.language.register("glsl", { "vsh", "fsh" })

			configs.setup({
				ensure_installed = {
					-- web dev
					"html",
					"css",
					"scss",
					"javascript",
					"typescript",

					-- config
					"toml",
					"yaml",
					"markdown",
					"dockerfile",

					-- vim
					"vim",
					"vimdoc",
					"lua",
					"query",

					-- the cool stuff
					"elixir",
					"heex",
					"rust",
					"python",
					"zig",
					"nim",
					"bash",

					-- the not so cool stuff
					"c",
					"java",
					"groovy",
					"glsl",
				},
				sync_install = false,
				highlight = { enable = true },
				indent = { enable = true },
			})
		end,
	},
}
