# .dotfiles

Not meant to be directly reused by anybody other than me, you should read what it contains and take whatever parts you think will work for your specific setup.

## usage

### install.sh

Install script for my system, basically a poor man's nix but in bash. Its also used as a very horrible way of keeping track of apps I use on a more than weekly basis. Just call `./install.sh`.

**Note 1** that it is not a fully automated experience, certain things still require manual user input such as for sudo password, \[y/N\] setups or multiple choice selections.

**Note 2** Due to certain decisions within the script the apt and flatpak installs are very slow, as I've opted for the stability of the whole script and installing as many apps as possible rather than failing the whole list of apps and continuing if any of them fail, as such the entire script takes ~40 minutes to fully finish.

### dot.py

A small python script to automate the init and deploy procedures by simply copying the files in their required spots based on the `dot.toml` config file.

`./dot.py --init` to copy all the dotfiles in the currently selected folder

`./dot.py --deploy` to copy them back to where they're supposed to be

The script is extremely opinionated as it will always save them in the currently selected folder and load them based on the home directory of the user as such: `~/.config/nvim` folder will always be saved in `./.config/nvim` which will always be loaded in `~/.config/nvim`. As such configs or dotfiles outside of the home directory are not supported by this script (which is perfectly fine since I don't have any of those).
